[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# StatementTokens

Array of tokens used to determine the statement type.

## Declaration

Source position: sqldb.pp line 33

`const StatementTokens: array [TStatementType] of string = ('(unknown)', 'select', 'insert', 'update', 'delete', 'create', 'get', 'put', 'execute', 'start', 'commit', 'rollback', '?');`

## Description

StatementTokens contains an array of string tokens that are used to detect the type of statement, usually the first SQL keyword of the token. The presence of this token in the SQL statement determines the kind of token.

## See also

TStatementType |  | Type describing the kind of SQL statement